## relational 0.10

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,27 @@
 default:
 	echo "sorry, no default action"
+
+uninstall:
+	rm -rf /opt/relational
+	rm -f /usr/local/bin/relational
+	rm -f /usr/share/applications/relational.desktop
+
+install:
+	mkdir /opt/relational
+	cp -R relational relational_gui /opt/relational/
+	cp relational_gui.py /opt/relational
+	chmod -R 555 /opt/relational/
+	echo "#!/bin/bash" > /usr/local/bin/relational
+	echo "/opt/relational/relational_gui.py" >> /usr/local/bin/relational
+	chmod 555 /usr/local/bin/relational
+	cp relational.desktop /usr/share/applications/
+	chmod a+r /usr/share/applications/relational.desktop
 
 source: clean
 	rm -rf /tmp/relational/
 	mkdir /tmp/relational/
 	cp -R * /tmp/relational/
-	rm -rf /tmp/relational/samples/.svn/ /tmp/relational/debscript/.svn/ /tmp/relational/mac/.svn/ /tmp/relational/relational/.svn/ /tmp/relational/relational_gui/.svn/ /tmp/relational/mac /tmp/relational/debscript/
+	rm -rf /tmp/relational/windows /tmp/relational/samples/.svn/ /tmp/relational/debscript/.svn/ /tmp/relational/mac/.svn/ /tmp/relational/relational/.svn/ /tmp/relational/relational_gui/.svn/ /tmp/relational/mac /tmp/relational/debscript/
 	echo "cd /tmp ; tar -jcvvf relational.tar.bz relational/" | bash
 	mv /tmp/relational.tar.bz ./relational_`./relational_gui.py -v`.tar.bz
 
@@ -83,7 +99,7 @@
 	chmod a+x data/usr/bin/relational
 	#desktop file
 	mkdir -p data/usr/share/applications/
-	cp debscript/relational.desktop data/usr/share/applications/
+	cp relational.desktop data/usr/share/applications/
 	mkdir -p data/DEBIAN
 	#package description
 	debscript/gencontrol.sh > data/DEBIAN/control
