=== debian/control ===
Source: relational
Section: math
Priority: optional
Maintainer: Chris Lamb <lamby@debian.org>
Build-Depends: debhelper (>= 7.0.50), python, python-support
Standards-Version: 3.8.4
Vcs-Git: git://git.chris-lamb.co.uk/debian/pkg-relational.git
Vcs-Browser: http://git.chris-lamb.co.uk/?p=debian/pkg-relational.git
Homepage: http://galileo.dmi.unict.it/wiki/relational/doku.php

Package: python-relational
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Suggests: python-psyco
Description: Educational tool for relational algebra (standalone module)
 Relational is primarily a graphical user interface to provide a workspace
 for experimenting with relational algebra, an offshoot of first-order logic.
 .
 This package provides a standalone Python module that can be used for
 executing relational queries.

Package: relational
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-relational (= ${binary:Version}), python-qt4
Description: Educational tool for relational algebra (graphical user interface)
 Relational is primarily a graphical user interface to provide a workspace
 for experimenting with relational algebra, an offshoot of first-order logic.
 .
 This package provides a graphical user interface that can be used for 
 executing relational queries.
