=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

clean:
	rm -rf build *.egg-info
	dh $@

override_dh_auto_clean:
override_dh_auto_build:
override_dh_auto_install:

override_dh_install:
	set -ex; for pkg in python-relational relational; do \
	  python debian/$${pkg}.setup.py install --root=$(CURDIR)/debian/$${pkg}; \
	  rm -rf build; \
	done
	install -D relational_gui.py debian/relational/usr/bin/relational
	dh_install
