## relational 0.11

=== Makefile ===
--- 
+++ 
@@ -21,16 +21,9 @@
 	rm -rf /tmp/relational/
 	mkdir /tmp/relational/
 	cp -R * /tmp/relational/
-	rm -rf /tmp/relational/windows /tmp/relational/samples/.svn/ /tmp/relational/debscript/.svn/ /tmp/relational/mac/.svn/ /tmp/relational/relational/.svn/ /tmp/relational/relational_gui/.svn/ /tmp/relational/mac /tmp/relational/debscript/
-	echo "cd /tmp ; tar -jcvvf relational.tar.bz relational/" | bash
-	mv /tmp/relational.tar.bz ./relational_`./relational_gui.py -v`.tar.bz
-
-source_all: clean
-	rm -rf /tmp/relational/
-	mkdir /tmp/relational/
-	cp -R * /tmp/relational/
-	echo "cd /tmp ; tar -jcvvf relational.tar.bz relational/" | bash
-	mv /tmp/relational.tar.bz ./relational_`./relational_gui.py -v`.tar.bz
+	rm -rf /tmp/relational/windows /tmp/relational/samples/.svn/ /tmp/relational/debscript/.svn/ /tmp/relational/mac/.svn/ /tmp/relational/relational/.svn/ /tmp/relational/relational_gui/.svn/ /tmp/relational/mac /tmp/relational/debscript/ /tmp/relational/relational_curses/.svn/ /tmp/relational/relational_readline/.svn/
+	echo "cd /tmp ; tar -zcvvf relational.tar.gz relational/" | bash
+	mv /tmp/relational.tar.gz ./relational_`./relational_gui.py -v | grep Relational | cut -d" " -f2`.tar.gz
 
 clean:
 	rm -rf *~ || echo ok
@@ -51,7 +44,7 @@
 	mv Relational.app relational_mac
 	mkdir relational_mac/samples || echo Exists
 	cp samples/*csv relational_mac/samples
-	tar -zcvvf relational_`./relational_gui.py -v`.tar.gz relational_mac/
+	tar -zcvvf relational_`./relational_gui.py -v | grep Relational | cut -d" " -f2`.tar.gz relational_mac/
 	rm -rf relational_mac
 app:
 	mkdir -p Relational.app/Contents/Resources || echo Exists
@@ -99,7 +92,7 @@
 	chmod a+x data/usr/bin/relational
 	#desktop file
 	mkdir -p data/usr/share/applications/
-	cp relational.desktop data/usr/share/applications/
+	cp debscript/relational.desktop data/usr/share/applications/
 	mkdir -p data/DEBIAN
 	#package description
 	debscript/gencontrol.sh > data/DEBIAN/control
@@ -108,6 +101,8 @@
 	cp debscript/prerm data/DEBIAN/prerm
 	cp debscript/postinst data/DEBIAN/postinst
 	chmod 0755 data/DEBIAN/prerm data/DEBIAN/postinst
-	su -c "chown -R root:root data/*; dpkg -b data/ relational.deb; rm -rf data/"
+	fakeroot -- chown -R root:root data/*
+	fakeroot -- dpkg -b data/ relational.deb
+	fakeroot -- rm -rf data/
 	cp relational.deb relational_`./relational_gui.py -v`+SVN`svn update | cut -d" " -f3 | tr -d "."`.deb
 	rm -f relational.deb
