=== debian/changelog ===
relational (0.11-2) unstable; urgency=low

  * New package relational-cli
  * Creates menu entry for relational 
  * Ships examples with the python-relational package
  * Links examples from python-relational into /usr/share/doc/relational and
    /usr/share/doc/relational-cli
  * New maintainer (Closes: #590780)

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Wed, 04 Aug 2010 16:50:10 +0200

relational (0.11-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.1.

 -- Chris Lamb <lamby@debian.org>  Sun, 01 Aug 2010 23:50:50 -0400
