=== debian/changelog ===
relational (1.0-1) unstable; urgency=low

  * New upstream release
  * Merged relational-cli upstream, dropped debian patch
  * Using relational_gui.py for both relational and relational-cli packages
  * Merged various setup.py upstream

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Tue, 22 Mar 2011 17:11:28 +0100
