## relational 1.1

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,14 @@
 default:
 	echo "sorry, no default action"
+
+gui:
+	pyside-uic relational_pyside/survey.ui > relational_pyside/survey.py 
+	pyside-uic relational_pyside/maingui.ui > relational_pyside/maingui.py
+	pyside-uic relational_pyside/rel_edit.ui > relational_pyside/rel_edit.py
+	pyuic4 relational_gui/survey.ui > relational_gui/survey.py 
+	pyuic4 relational_gui/maingui.ui > relational_gui/maingui.py
+	pyuic4 relational_gui/rel_edit.ui > relational_gui/rel_edit.py
+	
 
 uninstall:
 	rm -rf /opt/relational
@@ -29,6 +38,7 @@
 	rm -rf /tmp/relational/mac/.svn/
 	rm -rf /tmp/relational/relational/.svn/ 
 	rm -rf /tmp/relational/relational_gui/.svn/
+	rm -rf /tmp/relational/relational_pyside/.svn/
 	rm -rf /tmp/relational/mac
 	rm -rf /tmp/relational/debian/
 	rm -rf /tmp/relational/relational_curses/.svn/
@@ -38,7 +48,7 @@
 	#mv /tmp/relational /tmp/relational-`./relational_gui.py -v | grep Relational | cut -d" " -f2`
 	#(cd /tmp; tar -zcf relational.tar.gz relational-*/)
 	(cd /tmp; tar -zcf relational.tar.gz relational/)
-	mv /tmp/relational.tar.gz ./relational_`./relational_gui.py -v | grep Relational | cut -d" " -f2`.tar.gz
+	mv /tmp/relational.tar.gz ./relational_`./relational_gui.py -v | grep Relational | cut -d" " -f2`.orig.tar.gz
 
 clean:
 	rm -rf *~ || echo ok
