=== debian/changelog ===
relational (1.1-1) unstable; urgency=low

  * New upstream release
  * Can use either PyQt or PySide 
  * python-relational now uses unicode instead of utf-8 encoded strings

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Sat, 22 Oct 2011 15:29:02 +0200
