=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>
 Build-Depends: debhelper (>= 7.0.50~), python, python-support
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://galileo.dmi.unict.it/wiki/relational/doku.php
 
 Package: python-relational
@@ -19,13 +19,13 @@
 
 Package: relational
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python-relational (>= ${binary:Version}), python-qt4
+Depends: ${misc:Depends}, ${python:Depends}, python-relational (>= ${binary:Version}), python-qt4 | python-pyside.qtgui, python-qt4 | python-pyside.qtcore, python-qt4 | python-pyside.qtwebkit
 Description: Educational tool for relational algebra (graphical user interface)
  Relational is primarily a tool to provide a workspace for experimenting with
  relational algebra, an offshoot of first-order logic.
  .
- This package provides a graphical user interface that can be used for 
- executing relational queries.
+ This package provides a graphical user interface that can be used to
+ execute relational queries.
 
 Package: relational-cli
 Architecture: all
@@ -34,5 +34,5 @@
  Relational is primarily a tool to provide a workspace for experimenting with
  relational algebra, an offshoot of first-order logic.
  .
- This package provides a command line interface that can be used for 
- executing relational queries.
+ This package provides a command line interface that can be used to
+ execute relational queries.
