=== debian/watch ===
version=3
opts=filenamemangle=s/.*:// http://galileo.dmi.unict.it/wiki/relational/doku.php?id=download /wiki/[^:]*:relational_([^(_mac)]*).tar.gz
