=== debian/changelog ===
relational (1.2-2) unstable; urgency=medium

  * Fix problem in relational-cli that made it crash when exceptions
    were raised

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Sat, 11 Jan 2014 12:28:38 +0100

relational (1.2-1) unstable; urgency=medium

  * New upstream release
  * Point to new upstream location
  * Can only use PyQt
  * Run tests before packaging

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Fri, 27 Dec 2013 00:35:44 +0100
