=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: math
 Priority: optional
 Maintainer: Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>
-Build-Depends: debhelper (>= 7.0.50~), python, python-support
-Standards-Version: 3.9.2
-Homepage: http://galileo.dmi.unict.it/wiki/relational/doku.php
+Build-Depends: debhelper (>= 7.0.50~), python, python-support, python-xtermcolor
+Standards-Version: 3.9.5
+Homepage: https://github.com/ltworf/relational/
 
 Package: python-relational
 Architecture: all
@@ -19,7 +19,7 @@
 
 Package: relational
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python-relational (>= ${binary:Version}), python-qt4 | python-pyside.qtgui, python-qt4 | python-pyside.qtcore, python-qt4 | python-pyside.qtwebkit
+Depends: ${misc:Depends}, ${python:Depends}, python-relational (>= ${binary:Version}), python-qt4
 Description: Educational tool for relational algebra (graphical user interface)
  Relational is primarily a tool to provide a workspace for experimenting with
  relational algebra, an offshoot of first-order logic.
@@ -29,7 +29,8 @@
 
 Package: relational-cli
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python-relational (>= ${binary:Version})
+Depends: ${misc:Depends}, ${python:Depends}, python-relational (>= ${binary:Version}),
+ python-xtermcolor
 Description: Educational tool for relational algebra (command line interface)
  Relational is primarily a tool to provide a workspace for experimenting with
  relational algebra, an offshoot of first-order logic.
