=== debian/rules ===
--- 
+++ 
@@ -2,13 +2,13 @@
 SHELL=sh -e
 
 %:
+	./driver.py
 	dh $@
 
 clean:
 	rm -rf build *.egg-info
 	dh $@
 
-override_dh_auto_clean:
 override_dh_auto_build:
 override_dh_auto_install:
 	for pkg in relational-cli python-relational relational; do \
