=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 %:
 	./driver.py
-	dh $@
+	dh $@ --with python3
 
 clean:
 	rm -rf build *.egg-info
@@ -11,8 +11,8 @@
 
 override_dh_auto_build:
 override_dh_auto_install:
-	for pkg in relational-cli python-relational relational; do \
-	  python setup/$${pkg}.setup.py install --root=$(CURDIR)/debian/$${pkg}; \
+	for pkg in relational-cli python3-relational relational; do \
+	  python3 setup/$${pkg}.setup.py install --root=$(CURDIR)/debian/$${pkg}; \
 	  rm -rf build; \
 	done
