=== debian/changelog ===
relational (2.2-1) unstable; urgency=medium

  * Fixed debian/rules to run testsuite just once
  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Mon, 04 Jan 2016 16:54:17 +0100

relational (2.1-2) unstable; urgency=low

  * Change X-Python3-Version to allow Python 3.5 (Closes: #802781)

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Fri, 23 Oct 2015 17:04:25 +0200

relational (2.1-1) unstable; urgency=medium

  * New upstream release
  * Ships icon
  * Dropped patch utf8_for_tests

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Fri, 11 Sep 2015 14:02:18 +0200
