=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: math
 Priority: optional
 Maintainer: Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>
-Build-Depends: debhelper (>= 9), python3, dh-python, python3-xtermcolor
+Build-Depends: debhelper (>= 9), python3, dh-python, python3-xtermcolor, pyqt5-dev-tools
 Standards-Version: 3.9.6
-X-Python3-Version: 3.4
+X-Python3-Version: >= 3.4
 Homepage: http://ltworf.github.io/relational/
 
 Package: python3-relational
