=== debian/rules ===
#!/usr/bin/make -f
SHELL=sh -e

%:
	dh $@ --with python3

override_dh_auto_test:
	./driver.py

clean:
	rm -rf build *.egg-info
	dh $@

override_dh_auto_install:
	DESTDIR=debian/relational-cli make install-relational-cli
	DESTDIR=debian/python3-relational make install-python3-relational
	DESTDIR=debian/relational make install-relational
