## relational 2.5

=== Makefile ===
--- 
+++ 
@@ -5,6 +5,8 @@
 	pyuic5 relational_gui/maingui.ui > relational_gui/maingui.py
 	pyuic5 relational_gui/rel_edit.ui > relational_gui/rel_edit.py
 	pyrcc5 relational_gui/resources.qrc > relational_gui/resources.py
+	sed -i 's/QtWidgets.QPlainTextEdit/editor.Editor/g' relational_gui/maingui.py
+	echo 'from . import editor' >> relational_gui/maingui.py
 
 dist: clean
 	rm -rf /tmp/relational/
@@ -19,11 +21,15 @@
 	(cd /tmp; tar -zcf relational.tar.gz relational/)
 	mv /tmp/relational.tar.gz ./relational_`./relational_gui.py -v | grep Relational | cut -d" " -f2`.orig.tar.gz
 
+release: dist
+	gpg --sign --armor --detach-sign ./relational_`./relational_gui.py -v | grep Relational | cut -d" " -f2`.orig.tar.gz
+
 clean:
 	rm -rf `find -name "*~"`
 	rm -rf `find -name "*pyc"`
 	rm -rf `find -name "*pyo"`
 	rm -rf relational*.tar.gz
+	rm -rf relational*.tar.gz.asc
 	rm -rf data
 	rm -rf *tar.bz
 	rm -rf *.deb
@@ -50,4 +56,4 @@
 	install -m0644 -D relational_gui/resources/relational.png $${DESTDIR:-/}/usr/share/pixmaps/relational.png
 	install -D relational.1 $${DESTDIR:-/}/usr/share/man/man1/relational.1
 
-install: install-relational-cli install_module_gui install-relational
+install: install-relational-cli install-python3-relational install-relational
