=== debian/changelog ===
relational (2.5-2) unstable; urgency=high

  * Add python3-distutils to build-dep (Closes: #896785)

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Wed, 02 May 2018 22:09:48 +0200

relational (2.5-1) unstable; urgency=medium

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Sun, 21 Aug 2016 11:49:38 +0200

relational (2.4-1) unstable; urgency=medium

  * New upstream release.
  * Bumped Standards-Version to 3.9.8.
  * Added upstream public key.
  * Watch file can check for signature

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Thu, 31 Mar 2016 20:15:41 +0200
