=== debian/changelog ===
relational (3.0-1) unstable; urgency=low

  * New upstream release
  * Bump compat to 13
  * Rules-Requires-Root: no
  * Bump X-Python3-Version to 3.8
  * Use https for URLs
  * Require library and client versions to match exactly
  * Standards-Version: 4.5.0

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Thu, 03 Sep 2020 11:50:39 +0200
