=== debian/rules ===
--- 
+++ 
@@ -3,9 +3,6 @@
 
 %:
 	dh $@ --with python3
-
-override_dh_auto_test:
-	./driver.py
 
 clean:
 	rm -rf build *.egg-info
