=== requirements.txt ===
typedload
pyqt5
xtermcolor
