=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,6 @@
 	dh $@ --with python3
 
 clean:
-	rm -rf build *.egg-info
 	dh $@
 
 override_dh_auto_install:
